function dv= dv_geoidn_no_plot(EGM,n_max)
% DV_GEOIDN_NO_PLOT reads an Earth's gravity field model and gives the degree
% variances without plotting it.
% 
% input:
%   EGM:gravity model
%   n_max:maximum degree and order
%
% output:
%   plot of square root of degree variances
%
% example:
%   dv= dv_geoidn(egm96,60)
%
% updated on 03/04/2017
% changed on /06/2018

format long g

F1 = EGM(:,3).^2 + EGM(:,4).^2;
F1r = F1;
F1r(1:3) = [];
F2 = F1r;
for n = 2:n_max
     dv(n-1) = sqrt(sum(F2(1:n+1)));
     F2(1:n+1) = []; 
end

end
