%% Save all important variables of a gravity estimation
% this can be used to save all important results, as well as to continue
% the estimation from the last iteration by eg. using 
% continue_gfr_par_from_iteration.m . 
% All variable are saved in one .mat file, and can be directly loaded in 
% continue_gfr_par_from_iteration.m.
%%
% Filename and path of file to save
FileName= ['../results/','GFR_itr_',num2str(ItrNo_max), '_do_', num2str(lmaxcs), '_nods_', num2str(nods), '_','tno_', num2str(tno),'_', datestr(now, 'dd-mmm-yyyy'),'.mat'];

% save all necessary variables in one file
save(FileName,'xhat_save','chat_save','eps_save','chat_dv_save','dv_save','state0','x0x','field', 'field_cs', 'field_vec0', 'mKBR', 'GM', 'ae', 't0', 'nods', 'lmaxcs', 'lmaxf', 'state00', 't_itr_nod','tno');

% actual time
c = clock;
str_display_out = ['results saved as: ', FileName,', Time: ',num2str(c(1)),'-',num2str(c(2)),'-',num2str(c(3)),', ',num2str(c(4)),':',num2str(c(5)),':',num2str(c(6)) ];  
disp(str_display_out);
