function [ s_date, s_time ] = time2str( t_utc_0 )

% TIME2STR converts date and time to sting with right numeber of zeros etc.
%
% Input:        t_utc_0 = time in format year month day hour minute second
%
% Outputs:      s_date = date as string in format 'yyyy-mm-dd'
%               s_time = date and time as string in format 'yyyy-mm-dd
%               hh:mm:ss.ssssssssssss
%
% Example:      time2str([2005 11 30 15 54 1.478])
%               s_date = '2005-11-30'
%               s_time = '2005-11-30 15:54:01.478'
%
% Written by Florian Wöske, ZARM Uni Bremen

%%

    if (t_utc_0(2) >= 10 && t_utc_0(3) >= 10)
        s_date= [num2str(t_utc_0(1)),'-',num2str(t_utc_0(2)),'-',num2str(t_utc_0(3))];
    end
    if (t_utc_0(2) >= 10 && t_utc_0(3) < 10)
        s_date= [num2str(t_utc_0(1)),'-',num2str(t_utc_0(2)),'-0',num2str(t_utc_0(3))];
    end
    if (t_utc_0(2) < 10 && t_utc_0(3) < 10)
        s_date= [num2str(t_utc_0(1)),'-0',num2str(t_utc_0(2)),'-0',num2str(t_utc_0(3))];
    end
    if (t_utc_0(2) < 10 && t_utc_0(3) >= 10)
        s_date= [num2str(t_utc_0(1)),'-0',num2str(t_utc_0(2)),'-',num2str(t_utc_0(3))];
    end

    if (t_utc_0(4) < 10)
        std= ['0',num2str(t_utc_0(4))];
    else
        std= [num2str(t_utc_0(4))];
    end
    if (t_utc_0(5) < 10)
        min= [':0',num2str(t_utc_0(5))];
    else
        min= [':',num2str(t_utc_0(5))];
    end
    if (t_utc_0(6) < 10)
        sec= [':0',num2str(t_utc_0(6))];
    else
        sec= [':',num2str(t_utc_0(6))];
    end

    s_time=[s_date, ' ',std,min,sec];

end

